javax.servlet

## Interface FilterConfig

-     public interface FilterConfig

  A filter configuration object used by a servlet container to pass information to a filter during initialization.
  Since:
    Servlet 2.3
  See Also:
    `Filter`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFilterName()` Get the name of the filter.
    `java.lang.String` | `getInitParameter(java.lang.String name)` Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
    `java.util.Enumeration<java.lang.String>` | `getInitParameterNames()` Returns the names of the filter's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the filter has no initialization parameters.
    `ServletContext` | `getServletContext()` Returns a reference to the `ServletContext` in which the caller is executing.

- - ### Method Detail

    - #### getFilterName

          java.lang.String getFilterName()

      Get the name of the filter.
      Returns:
        The filter-name of this filter as defined in the deployment descriptor.

    - #### getServletContext

          ServletContext getServletContext()

      Returns a reference to the `ServletContext` in which the caller is executing.
      Returns:
        `ServletContext` object, used by the caller to interact with its servlet container
      See Also:
        `ServletContext`

    - #### getInitParameter

          java.lang.String getInitParameter(java.lang.String name)

      Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
      Parameters:
        `name` - `String` specifying the name of the initialization parameter
      Returns:
        `String` containing the value of the initialization parameter

    - #### getInitParameterNames

          java.util.Enumeration<java.lang.String> getInitParameterNames()

      Returns the names of the filter's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the filter has no initialization parameters.
      Returns:
        `Enumeration` of `String` objects containing the names of the filter's initialization parameters

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.